From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/texinfo/
Date: Wed, 30 Nov 2022 23:26:42 +0000 (UTC) [thread overview]
Message-ID: <1669849514.a519dae3b4947a882fa9b710e082ef59f2ca9779.sam@gentoo> (raw)
commit: a519dae3b4947a882fa9b710e082ef59f2ca9779
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 30 22:41:52 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Nov 30 23:05:14 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a519dae3
sys-apps/texinfo: add 7.0.1
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-apps/texinfo/Manifest | 1 +
sys-apps/texinfo/texinfo-7.0.1.ebuild | 62 +++++++++++++++++++++++++++++++++++
2 files changed, 63 insertions(+)
diff --git a/sys-apps/texinfo/Manifest b/sys-apps/texinfo/Manifest
index 0c190af6ce28..6da8c34c2a1c 100644
--- a/sys-apps/texinfo/Manifest
+++ b/sys-apps/texinfo/Manifest
@@ -1,2 +1,3 @@
DIST texinfo-6.8.tar.xz 4961528 BLAKE2B 0256dac5ba9c7f171c970644907b763f7a88fd9995111244df0458591aed1a0fe94c76045dde69f9138d65d6f780aae6869bbbc013f58e04ae7c62456b222bbb SHA512 0ff9290b14e4d83e32b889cfa24e6d065f98b2a764daf6b92c6c895fddbb35258398da6257c113220d5a4d886f7b54b09c4b117ca5eacfee6797f9bffde0f909
+DIST texinfo-7.0.1.tar.xz 4890348 BLAKE2B 9d61722e7ff8a71e05770552050cc861d778b9faa95f801e40d4353601a5692f01ad8e794dfb0e7b5b29efa2c701de4a76505732a806b0303b5c1fe0599816f1 SHA512 8e1616341fbbfe0cd90bd1b0452874c75b99d88dffe5f88c53fdc32f00d67c07c15c6c774b241e1f7507f0347314737e533854939c3be6334ca9feb9cd049009
DIST texinfo-7.0.tar.xz 4900752 BLAKE2B a8314e048d14584b07fea5246223ed1387f374eac77d7b8d736b6d13ef3c72b2ef117f251e34e780761fa70a9d138a86f14feb825371022fa35292e39c8dab63 SHA512 99f691515a3c43c76eca7dd78e8a79108ec8d64ebb2a677bb0473e5a67da50ebdf14d9c5428ebe7618f6cba435e6a4c42079ad2f5665371b06585f2fd28d695e
diff --git a/sys-apps/texinfo/texinfo-7.0.1.ebuild b/sys-apps/texinfo/texinfo-7.0.1.ebuild
new file mode 100644
index 000000000000..9669d1502f2e
--- /dev/null
+++ b/sys-apps/texinfo/texinfo-7.0.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Note: if your package uses the texi2dvi utility, it must depend on the
+# virtual/texi2dvi package to pull in all the right deps. The tool is not
+# usable out-of-the-box because it requires the large tex packages.
+
+EAPI=8
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="The GNU info program and utilities"
+HOMEPAGE="https://www.gnu.org/software/texinfo/"
+
+if [[ $(ver_cut 3) -ge 90 ]] ; then
+ SRC_URI="https://alpha.gnu.org/gnu/${PN}/${P}.tar.xz"
+else
+ SRC_URI="mirror://gnu/${PN}/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="nls +standalone static"
+
+RDEPEND="
+ !=app-text/tetex-2*
+ >=sys-libs/ncurses-5.2-r2:=
+ virtual/perl-Data-Dumper
+ virtual/perl-Encode
+ standalone? ( >=dev-lang/perl-5.8.1 )
+ !standalone? ( >=dev-lang/perl-5.8.1:= )
+ nls? ( virtual/libintl )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="nls? ( >=sys-devel/gettext-0.19.6 )"
+
+src_prepare() {
+ default
+
+ if use prefix ; then
+ sed -i -e '1c\#!/usr/bin/env sh' util/texi2dvi util/texi2pdf || die
+ touch doc/{texi2dvi,texi2pdf,pdftexi2dvi}.1
+ fi
+}
+
+src_configure() {
+ # Respect compiler and CPPFLAGS/CFLAGS/LDFLAGS for Perl extensions
+ # bug #622576
+ local -x PERL_EXT_CC="$(tc-getCC)" PERL_EXT_CPPFLAGS="${CPPFLAGS}"
+ local -x PERL_EXT_CFLAGS="${CFLAGS}" PERL_EXT_LDFLAGS="${LDFLAGS}"
+
+ use static && append-ldflags -static
+
+ local myeconfargs=(
+ --cache-file="${S}"/config.cache
+ $(use_enable nls)
+ $(use_enable !standalone perl-xs)
+ )
+
+ econf "${myeconfargs[@]}"
+}
next reply other threads:[~2022-11-30 23:26 UTC|newest]
Thread overview: 128+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-11-30 23:26 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-17 6:33 [gentoo-commits] repo/gentoo:master commit in: sys-apps/texinfo/ Sam James
2024-10-29 1:06 Sam James
2024-10-16 18:52 Sam James
2024-10-16 18:50 Sam James
2024-10-15 14:33 Sam James
2024-10-15 8:45 Sam James
2024-10-15 8:45 Sam James
2024-10-15 8:45 Sam James
2024-10-15 8:45 Sam James
2024-09-08 9:24 Sam James
2024-09-02 7:53 Sam James
2024-06-08 15:32 Sam James
2024-03-04 11:09 Sam James
2023-12-28 14:58 Sam James
2023-12-28 14:58 Sam James
2023-12-23 19:56 Arthur Zamarin
2023-12-22 5:14 Ionen Wolkens
2023-12-15 10:19 Arthur Zamarin
2023-12-15 10:17 Arthur Zamarin
2023-12-15 8:31 Sam James
2023-12-15 7:16 Sam James
2023-12-15 7:06 Sam James
2023-12-15 7:06 Sam James
2023-10-18 14:29 Sam James
2023-10-18 14:29 Sam James
2023-10-15 9:14 Sam James
2023-10-15 9:14 Sam James
2023-10-01 3:24 Sam James
2023-09-14 2:39 Sam James
2023-09-14 2:39 Sam James
2023-09-12 2:05 Sam James
2023-08-16 19:53 Sam James
2023-04-12 13:23 Sam James
2023-04-12 10:35 Arthur Zamarin
2023-04-12 9:51 Arthur Zamarin
2023-04-12 9:50 Arthur Zamarin
2023-04-12 9:48 Sam James
2023-04-12 9:47 Sam James
2023-04-12 9:47 Sam James
2023-04-12 9:47 Sam James
2023-03-26 18:14 Sam James
2023-03-24 14:18 Arthur Zamarin
2023-03-24 13:44 Arthur Zamarin
2023-03-22 10:17 Sam James
2023-03-19 22:07 Sam James
2023-01-26 22:19 Sam James
2023-01-26 22:19 Sam James
2023-01-22 19:04 Sam James
2023-01-16 20:55 Sam James
2023-01-03 3:50 Sam James
2022-12-31 16:14 Andreas K. Hüttel
2022-11-30 23:53 Sam James
2022-11-08 2:40 Sam James
2022-10-29 10:09 Sam James
2022-10-25 6:41 Sam James
2022-10-20 21:07 Sam James
2022-10-20 3:50 Sam James
2022-05-30 2:49 Sam James
2022-04-17 17:12 Sam James
2022-04-09 2:44 Sam James
2021-12-18 15:36 Andreas K. Hüttel
2021-10-08 5:02 Sam James
2021-09-18 12:30 Agostino Sarubbo
2021-09-18 8:14 Sam James
2021-09-16 18:56 Sam James
2021-09-16 8:05 Agostino Sarubbo
2021-09-16 8:03 Agostino Sarubbo
2021-09-16 6:29 Sam James
2021-07-03 12:48 Lars Wendler
2021-05-14 22:14 David Seifert
2021-01-06 15:26 Fabian Groffen
2020-11-27 23:49 Sam James
2020-06-12 7:53 Agostino Sarubbo
2020-06-11 22:08 Mart Raudsepp
2020-06-11 18:01 Sergei Trofimovich
2020-06-11 8:34 Agostino Sarubbo
2020-06-11 8:31 Agostino Sarubbo
2020-06-11 8:27 Agostino Sarubbo
2020-06-11 8:25 Agostino Sarubbo
2020-06-10 13:01 Agostino Sarubbo
2020-06-10 13:00 Agostino Sarubbo
2020-06-09 18:47 Mike Gilbert
2020-05-04 17:36 Thomas Deutschmann
2020-01-22 0:49 Andreas K. Hüttel
2020-01-20 23:12 Sergei Trofimovich
2019-09-24 10:53 Thomas Deutschmann
2019-08-28 7:22 Sergei Trofimovich
2019-08-28 6:54 Sergei Trofimovich
2019-06-05 12:18 Andreas K. Hüttel
2019-06-05 5:03 Andreas K. Hüttel
2019-06-05 2:30 Andreas K. Hüttel
2019-05-04 15:10 Mikle Kolyada
2019-04-14 22:15 Aaron Bauman
2019-04-02 12:18 Mikle Kolyada
2019-03-31 20:30 Sergei Trofimovich
2019-03-24 13:08 Sergei Trofimovich
2019-03-05 18:18 Mikle Kolyada
2019-03-05 18:18 Mikle Kolyada
2019-03-05 18:18 Mikle Kolyada
2019-03-05 18:18 Mikle Kolyada
2019-03-02 20:49 Thomas Deutschmann
2019-03-02 16:20 Mikle Kolyada
2019-02-23 15:42 Lars Wendler
2019-02-17 12:53 Lars Wendler
2019-02-17 12:53 Lars Wendler
2018-01-14 20:58 Mike Frysinger
2017-09-13 15:12 Lars Wendler
2017-07-11 4:44 Markus Meier
2017-06-30 11:10 Agostino Sarubbo
2017-06-26 20:18 Tobias Klausmann
2017-06-25 16:32 Agostino Sarubbo
2017-06-25 7:50 Sergei Trofimovich
2017-06-23 22:23 Lars Wendler
2017-06-23 22:23 Lars Wendler
2016-09-11 13:46 Lars Wendler
2016-09-11 10:34 Lars Wendler
2016-06-15 14:14 Mike Frysinger
2016-06-02 19:34 Tobias Klausmann
2016-06-02 18:22 Markus Meier
2016-05-27 12:46 Lars Wendler
2016-05-26 20:37 Lars Wendler
2016-05-24 12:19 Jeroen Roovers
2016-05-20 8:17 Lars Wendler
2016-02-07 14:45 Lars Wendler
2015-09-05 0:20 Mike Frysinger
2015-08-16 14:20 Justin Lecher
2015-08-12 15:17 Mike Frysinger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1669849514.a519dae3b4947a882fa9b710e082ef59f2ca9779.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox